Bug 1238808 - [UX] Negative percentage reported when delta rebuilds fail
Summary: [UX] Negative percentage reported when delta rebuilds fail
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 24
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: EasyFix, Reopened, Triaged, UserExperience
: 1224931 1307225 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-02 16:24 UTC by Dusty Mabe
Modified: 2017-02-10 15:51 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-10 15:51:04 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1198975 None None None Never

Internal Trackers: 1198975

Description Dusty Mabe 2015-07-02 16:24:16 UTC
Description of problem:

When running dnf update in a docker container I noticed that if the DRPM rebuild fails then (because some files get stripped from the docker image) then we can get a *negative* percentage for the amount of reduced size due to delta rpms. This would lead me to believe the calculation is wrong. 

Here is some snipped output from a dnf update -y:

/usr/share/man/man8/udevadm.8.gz: No such file or directory
cannot reconstruct rpm from disk files
         
nss-3.19.2-1.0.fc22.x86_64: Delta RPM rebuild failed
pam-1.1.8-19.fc22.x86_64: Delta RPM rebuild failed
bash-4.3.39-1.fc22.x86_64: Delta RPM rebuild failed
bash-completion-1:2.1-7.20150513git1950590.fc22.noarch: Delta RPM rebuild failed
coreutils-8.23-10.fc22.x86_64: Delta RPM rebuild failed
sqlite-3.8.10.2-1.fc22.x86_64: Delta RPM rebuild failed
file-libs-5.22-4.fc22.x86_64: Delta RPM rebuild failed
krb5-libs-1.13.2-3.fc22.x86_64: Delta RPM rebuild failed
systemd-219-18.fc22.x86_64: Delta RPM rebuild failed
cyrus-sasl-lib-2.1.26-23.fc22.x86_64: Delta RPM rebuild failed
python-libs-2.7.10-1.fc22.x86_64: Delta RPM rebuild failed
python-dnf-1.0.1-2.fc22.noarch: Delta RPM rebuild failed
hawkey-0.5.7-1.fc22.x86_64: Delta RPM rebuild failed
dnf-1.0.1-2.fc22.noarch: Delta RPM rebuild failed
libsolv-0.6.11-1.fc22.x86_64: Delta RPM rebuild failed
rpm-4.12.0.1-11.fc22.x86_64: Delta RPM rebuild failed
--------------------------------------------------------------------------------
Total                                           581 kB/s |  36 MB     01:02     
Delta RPMs reduced 32.2 MB of updates to 35.5 MB (-10.1% saved)



Version-Release number of selected component (if applicable):
dnf-1.0.0-1.fc22.noarch (what is in fedora:22 docker image)


How reproducible:
Always


Steps to Reproduce:
1. sudo docker run -it --rm fedora:22 /bin/bash
2. dnf update -y
3.

Actual results:
-10.1% saved


Expected results:
No negative number.

Comment 1 Honza Silhan 2015-07-03 19:11:20 UTC
Thanks for the report.

Comment 2 Honza Silhan 2015-07-29 12:54:46 UTC
*** Bug 1224931 has been marked as a duplicate of this bug. ***

Comment 3 Michal Luscon 2016-02-15 13:16:13 UTC
*** Bug 1307225 has been marked as a duplicate of this bug. ***

Comment 4 Fedora Admin XMLRPC Client 2016-07-08 09:27:27 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora End Of Life 2016-07-19 20:48:32 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Dusty Mabe 2016-07-19 20:53:18 UTC
Re-opening, still an issue in Fedora 24:

sudo docker run -it --rm fedora:24 /bin/bash
dnf update -y

still show the problem:

Delta RPMs reduced 33.3 MB of updates to 36.6 MB (-9.1% saved)

Versions:
[root@af24a38656eb /]# rpm -q rpm
rpm-4.13.0-0.rc1.27.fc24.x86_64
[root@af24a38656eb /]# rpm -q dnf
dnf-1.1.9-2.fc24.noarch

Comment 7 Abhijeet Kasurde 2017-01-23 04:15:35 UTC
I think this PR solves this problem - https://github.com/rpm-software-management/dnf/pull/708

Comment 8 Jaroslav Mracek 2017-02-10 15:51:04 UTC
Bugs fixed in version 2.0.1-1.


Note You need to log in before you can comment on or make changes to this bug.